> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RetryJob

> Manually retries a job.



## OpenAPI

````yaml /openapi.json post /api/v1/jobs/{jobId}:retry
openapi: 3.0.0
info:
  title: Sift API
  version: '1.0'
servers:
  - url: https://api.siftstack.com
    description: Production
  - url: https://gov.api.siftstack.com
    description: Gov
security:
  - BearerAuth: []
tags:
  - name: TagService
    description: Service to programmatically interact with [tags](/glossary#tag).
  - name: ProtobufDescriptorService
    description: >-
      Service to programmatically interact with protobuf desciptors used for
      protobuf ingestion.
    externalDocs:
      description: Read more about what protobuf ingestion.
      url: /ingestion/protobuf_ingestion
  - name: ApiKeyService
  - name: UnitService
  - name: ChannelSchemaService
    description: Service to programmatically interact with channel schemas
  - name: PingService
  - name: SavedSearchService
  - name: IngestService
  - name: UserDefinedFunctionService
  - name: RoleService
  - name: DataImportService
  - name: AnnotationLogService
    description: >-
      Service to programmatically interact with [annotation
      logs](/glossary#annotation).
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: ExportService
  - name: AnnotationService
    description: Service to programmatically interact with annotations.
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: RuleEvaluationService
    description: Service to evaluate rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: CalculatedChannelsService
    description: Service to programmatically interact with calculated channels.
    externalDocs:
      description: Read more about calculated channels.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421153
  - name: CalculatedChannelService
  - name: MeService
  - name: UserService
    description: Service to programmatically interact with user objects.
  - name: RuleService
    description: Service to programmatically interact with rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: RemoteFileService
  - name: CampaignService
  - name: ReportTemplateService
  - name: JobService
  - name: DlqErrorsService
  - name: WebhookService
  - name: DataService
    description: Service to query data
  - name: ViewService
    description: Service to programmatically interact with views.
    externalDocs:
      description: Read more about what views are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/298188809
  - name: AssetService
    description: Service to programmatically interact with [assets](/glossary#asset).
    externalDocs:
      description: Read more about what assets are.
      url: /data-model
  - name: UserGroupService
  - name: RunService
    description: Service to programmatically interact with [runs](/glossary#run).
    externalDocs:
      description: Read more about what runs are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265454053
  - name: MetadataService
  - name: NotificationService
    description: Service to programmatically interact with in-app notifications.
  - name: PanelConfigurationService
    description: Service to programmatically interact with panel configurations.
  - name: IngestionConfigService
    description: >-
      Service to programmatically interact with [ingestion
      configs](/glossary#ingestion-config).
    externalDocs:
      description: Read more about what ingestion configs are.
      url: /ingestion/creating-amend-ingestion-config
  - name: ReportService
  - name: ExternalSyncService
  - name: ChannelService
    description: Service to programmatically interact with [channels](/glossary#channel).
    externalDocs:
      description: Read more about what channels are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265453943
paths:
  /api/v1/jobs/{jobId}:retry:
    post:
      tags:
        - JobService
      summary: RetryJob
      description: Manually retries a job.
      operationId: JobService_RetryJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1RetryJobResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1RetryJobResponse:
      type: object
      properties:
        job:
          $ref: '#/components/schemas/v1Job'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1Job:
      type: object
      properties:
        jobId:
          type: string
        organizationId:
          type: string
        createdByUserId:
          type: string
          readOnly: true
        modifiedByUserId:
          type: string
          readOnly: true
        createdDate:
          type: string
          format: date-time
          readOnly: true
        modifiedDate:
          type: string
          format: date-time
          readOnly: true
        startedDate:
          type: string
          format: date-time
          readOnly: true
        completedDate:
          type: string
          format: date-time
          readOnly: true
        jobType:
          $ref: '#/components/schemas/v1JobType'
        jobStatus:
          $ref: '#/components/schemas/v1JobStatus'
        jobStatusDetails:
          $ref: '#/components/schemas/v1JobStatusDetails'
        jobDetails:
          $ref: '#/components/schemas/v1JobDetails'
      required:
        - jobId
        - createdByUserId
        - modifiedByUserId
        - createdDate
        - modifiedDate
        - jobType
        - jobStatus
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1JobType:
      type: string
      enum:
        - JOB_TYPE_UNSPECIFIED
        - JOB_TYPE_RULE_EVALUATION
        - JOB_TYPE_DATA_IMPORT
        - JOB_TYPE_DATA_EXPORT
      default: JOB_TYPE_UNSPECIFIED
    v1JobStatus:
      type: string
      enum:
        - JOB_STATUS_UNSPECIFIED
        - JOB_STATUS_CREATED
        - JOB_STATUS_RUNNING
        - JOB_STATUS_FINISHED
        - JOB_STATUS_FAILED
        - JOB_STATUS_CANCELLED
        - JOB_STATUS_CANCEL_REQUESTED
      default: JOB_STATUS_UNSPECIFIED
    v1JobStatusDetails:
      type: object
      properties:
        ruleEvaluation:
          $ref: '#/components/schemas/v1RuleEvaluationStatusDetails'
        dataImport:
          $ref: '#/components/schemas/v1DataImportStatusDetails'
        dataExport:
          $ref: '#/components/schemas/v1DataExportStatusDetails'
    v1JobDetails:
      type: object
      properties:
        ruleEvaluation:
          $ref: '#/components/schemas/v1RuleEvaluationJobDetails'
        dataImport:
          $ref: '#/components/schemas/v1DataImportJobDetails'
        dataExport:
          $ref: '#/components/schemas/v1DataExportJobDetails'
    v1RuleEvaluationStatusDetails:
      type: object
    v1DataImportStatusDetails:
      type: object
      properties:
        pointsProcessed:
          type: string
          format: uint64
        pointsTotal:
          type: string
          format: uint64
      required:
        - pointsProcessed
        - pointsTotal
    v1DataExportStatusDetails:
      type: object
      properties:
        errorMessage:
          type: string
    v1RuleEvaluationJobDetails:
      type: object
      properties:
        reportId:
          type: string
      required:
        - reportId
    v1DataImportJobDetails:
      type: object
      properties:
        dataImportId:
          type: string
      required:
        - dataImportId
    v1DataExportJobDetails:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/v1ExportDataRequest'
        storageKey:
          type: string
    v1ExportDataRequest:
      type: object
      properties:
        timeRange:
          $ref: '#/components/schemas/v1TimeRange'
        runsAndTimeRange:
          $ref: '#/components/schemas/v1RunsAndTimeRange'
        assetsAndTimeRange:
          $ref: '#/components/schemas/v1AssetsAndTimeRange'
        channelIds:
          type: array
          items:
            type: string
        calculatedChannelConfigs:
          type: array
          items:
            $ref: '#/components/schemas/siftexportsv1CalculatedChannelConfig'
        outputFormat:
          $ref: '#/components/schemas/v1ExportOutputFormat'
        exportOptions:
          $ref: '#/components/schemas/v1ExportOptions'
      required:
        - outputFormat
        - exportOptions
    v1TimeRange:
      type: object
      properties:
        startTime:
          type: string
          format: date-time
        stopTime:
          type: string
          format: date-time
      required:
        - startTime
        - stopTime
    v1RunsAndTimeRange:
      type: object
      properties:
        runIds:
          type: array
          items:
            type: string
        startTime:
          type: string
          format: date-time
        stopTime:
          type: string
          format: date-time
      required:
        - runIds
    v1AssetsAndTimeRange:
      type: object
      properties:
        assetIds:
          type: array
          items:
            type: string
        startTime:
          type: string
          format: date-time
        stopTime:
          type: string
          format: date-time
      required:
        - assetIds
        - startTime
        - stopTime
    siftexportsv1CalculatedChannelConfig:
      type: object
      properties:
        name:
          type: string
        expression:
          type: string
        channelReferences:
          type: array
          items:
            $ref: '#/components/schemas/v2CalculatedChannelAbstractChannelReference'
        units:
          type: string
      required:
        - name
        - expression
        - channelReferences
    v1ExportOutputFormat:
      type: string
      enum:
        - EXPORT_OUTPUT_FORMAT_UNSPECIFIED
        - EXPORT_OUTPUT_FORMAT_CSV
        - EXPORT_OUTPUT_FORMAT_SUN
      default: EXPORT_OUTPUT_FORMAT_UNSPECIFIED
    v1ExportOptions:
      type: object
      properties:
        useLegacyFormat:
          type: boolean
          description: >-
            Whether to use legacy format string for channel headers which
            contains key-value metadata.
        simplifyChannelNames:
          type: boolean
          title: >-
            Whether to simplify channel names by removing the component part of
            the name if name is unique in export file
        combineRuns:
          type: boolean
          description: >-
            Whether to combine runs. e.g. channels from the same asset in
            different runs will be combined into a single column of data.
        splitExportByAsset:
          type: boolean
          title: Split each asset into their own export file
        splitExportByRun:
          type: boolean
          title: Split each run into their own export file
    v2CalculatedChannelAbstractChannelReference:
      type: object
      properties:
        channelReference:
          type: string
        channelIdentifier:
          type: string
      required:
        - channelReference
        - channelIdentifier
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````